// TCPClientDlg.h : header file containing CTCPClientDlg class definition
//

#if !defined(AFX_TCPCLIENTDLG_H__AA8480C4_7F8A_4805_AD5A_13DDAA1DFC88__INCLUDED_)
#define AFX_TCPCLIENTDLG_H__AA8480C4_7F8A_4805_AD5A_13DDAA1DFC88__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "MySocket.h"

/////////////////////////////////////////////////////////////////////////////
// CTCPClientDlg dialog

class CTCPClientDlg : public CDialog
{
// Construction
public:
	CTCPClientDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CTCPClientDlg)
	enum { IDD = IDD_TCPCLIENT_DIALOG };
	CListBox	m_OutputCtrl;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTCPClientDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CTCPClientDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	//}}AFX_MSG

	// MySocket massage map functions
	// See "INFO: Use ON_MESSAGE() Macro to Map Less-Common Messages" in MSDN
	// for more information on processing user defined messages
	afx_msg LRESULT OnMySocketConnect(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnMySocketReceive(WPARAM wParam, LPARAM lParam);

	DECLARE_MESSAGE_MAP()

private:
	void SetupConnection();
	// The socket object used for connecting to a device
	CMySocket m_MySocket;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TCPCLIENTDLG_H__AA8480C4_7F8A_4805_AD5A_13DDAA1DFC88__INCLUDED_)
